package de.bsvrz.datex2.test.factories;
import de.bsvrz.datex2.test.mockclasses.MockAttributeGroup;
import de.bsvrz.datex2.test.mockclasses.MockDataModel;
import de.bsvrz.datex2.test.mockclasses.MockPids;


public class CreateMockDataModel {
  public MockDataModel create() {
    MockDataModel ordinaryDataModel = new MockDataModel();
        
    addAttributeGroup(ordinaryDataModel, MockPids.ATG_PUNKTKOORDINATEN);
    addAttributeGroup(ordinaryDataModel, MockPids.ATG_GEFRIERTEMPERATUR);
    addAttributeGroup(ordinaryDataModel, MockPids.ATG_VERKEHRSDATENKURZZEITMQ);

    return ordinaryDataModel;
  }
  
  public void addAttributeGroup(final MockDataModel dataModel, final String atgPid) {
    MockAttributeGroup atg = new MockAttributeGroup(atgPid);
    dataModel.getAttributeGroupMap().put(atgPid, atg);    
  }
}
