package de.bsvrz.datex2.test.mockclasses;
import java.io.NotActiveException;
import java.io.Serializable;

import javax.activation.UnsupportedDataTypeException;


public class MockBrokenKonfigUndPersistenzModul extends MockKonfigUndPersistenzModul {

  @Override
  public boolean hasData(String key) {
    return false;
  }

  @Override
  public <T extends Serializable> T getData(String key, Class<T> classx) throws UnsupportedDataTypeException,
      NotActiveException, IllegalArgumentException {
    throw new IllegalArgumentException("Verbindung kaputt");
  }

  @Override
  public String getString(String key) {
    throw new IllegalArgumentException("Verbindung kaputt");
  }

  @Override
  public Integer getInteger(String key) {
    throw new IllegalArgumentException("Verbindung kaputt");
  }

  @Override
  public <T extends Serializable> void putData(String key, T x) {
    throw new IllegalArgumentException("Verbindung kaputt");
  }
  
}
