package de.bsvrz.datex2.test.mockclasses;
import java.util.ArrayList;
import java.util.List;

import de.bsvrz.dav.daf.main.config.AttributeGroup;
import de.bsvrz.dav.daf.main.config.SystemObject;
import de.bsvrz.dav.daf.main.config.SystemObjectType;
import de.bsvrz.kex.datex2.allgemein.ObjekteAtgAsp;


public class MockObjekteAtgAsp extends ObjekteAtgAsp {

  private List<SystemObject> mockSystemObjekte;
  SystemObjectType mockTyp;
  private AttributeGroup atg;

  public MockObjekteAtgAsp() {
    super(null);
  }

  @Override
  public List<SystemObject> getSystemObjekte() {
    if (mockSystemObjekte == null) {
      mockSystemObjekte = new ArrayList<>();
    }
    return mockSystemObjekte;
  }
  
  @Override
  public SystemObjectType getTyp() {
    return mockTyp;
  }
  
  public void createMockTyp(String pid, String name) {
    this.mockTyp = new MockSystemObjectType(pid, name);
  }
  
  @Override
  public AttributeGroup getAttributGruppe() {
    return this.atg;
  }
  
  public void createAttributeGroup(String pid, String name) {
    this.atg = new MockAttributeGroup(pid);
  }
  public void setAttributeGroup(AttributeGroup atg) {
    this.atg = atg;
  }
}
