package de.bsvrz.datex2.test.mockclasses;
import javax.naming.ConfigurationException;
import javax.xml.bind.JAXBContext;

import de.bsvrz.kex.datex2.plugins.publizierung.PublizierungsMethode;


public class MockPublishMethod implements PublizierungsMethode {
  public Object result;
  
  @Override
  public String getPublizierungsMethodenName() {
    return "dynamisch";
  }

  @Override
  public void publiziere(Object xml, JAXBContext context, String param) throws Exception {
    result = xml;
  }

  @Override
  public boolean initialisiere() throws ConfigurationException {
    return true;
  }

}
